import Component from '../component.js';
import CoEuiUserProfileMenuItem from './eui-user-profile-menu-item.js'

export default class CoEuiUserProfileMenu extends Component {
  constructor(parent) {
    let selector = 'eui-user-profile-menu';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-user-profile/user-profile-menu/user-profile-menu.component.html
  }

  get menuItemCO() {
    return new CoEuiUserProfileMenuItem(this.currentPath);
  }
}
